<?

// ------------------ BEGIN MOBILE SITE REDIRECT --------------------- 

// ------------------ EDIT VARIABLES BELOW THIS LINE ---------------------

define("MOBILE_URL", "http://www.uraniumenergy.com/mobile/");
define("MOBILE_LINK_TEXT", "Return to our mobile site");
//The variable below is the div that displays the link back to the mobile site from the regular site (on mobiles only)
//To place this, use <!--|$mobile_link_back|--> where you want it to display in the template and style it in CSS
define("LINK_DIV_ID", "link-to-mobile");

// ------------------ EDIT VARIABLES ABOVE THIS LINE ---------------------


define("DESKTOP_COOKIE", "desktop_cookie");
define("BREAK_OUT", "leavemobile");

// Redirect
function mobile_redirect ($mobile_url) {
	if ($_REQUEST['leavemobile'] == "true") {
		_set_cookie();
	} 
		$mobile = mobile_detect();
		$cookie = has_cookie();
		$breakout = breakout_set();

		$redirect = _should_redirect($mobile, $cookie, $breakout);
		if ($redirect) {
			header( "Location: $mobile_url" );
		}
}

// Determine if redirect is required
function _should_redirect( $mobile, $cookie, $breakout ) {
	if ($mobile) {
		if ($breakout) { //User has opted to leave mobile site
			_set_cookie();
			return false;	

		} else if ($cookie) { //Cookie already exists from a previous decision to leave the mobile site
			return false;	
		} else {
			return true;
		}
	}
}

// Detect mobile device
function mobile_detect() {
	global $mobile_browser;
	if (isset($mobile_browser)) {
		return $mobile_browser;
	}

	$user_agent = strtolower($_SERVER['HTTP_USER_AGENT']);
	//echo $user_agent;
	 
	if(preg_match('/(wap|phone|up.browser|up.link|mmp|symbian|smartphone|midp)/i', $user_agent)) {
		$mobile_browser = true;
	}		 
	if((strpos(strtolower($_SERVER['HTTP_ACCEPT']),'application/vnd.wap.xhtml+xml') > 0) or ((isset($_SERVER['HTTP_X_WAP_PROFILE']) or isset($_SERVER['HTTP_PROFILE'])))) {
		$mobile_browser = true;
	} 		 
	if (strpos(strtolower($_SERVER['ALL_HTTP']),'operamini') > 0) {
		$mobile_browser = true;
	}	 
	if (strpos($user_agent,' ppc;') > 0) {
		$mobile_browser = true;
	}	 
	if (strpos($user_agent,'iemobile') > 0) {
		$mobile_browser = true;
	}  
	if (strpos($user_agent,'android') > 0) {
		$mobile_browser = true;
	}  
	if (strpos($user_agent,'htc') > 0) {
		$mobile_browser = true;
	}  
	if (strpos($user_agent,'blackberry') > 0) {
		$mobile_browser = true;
	} 
	if (strpos($user_agent,'windows ce') > 0) {
		$mobile_browser = true;
	}
	else if (strpos($user_agent,'windows') > 0) {
		$mobile_browser = false;
	}   
	 
	$mobile_user_agent = substr($user_agent,0,4);
	$user_agent_array = array(
		'acs-','alav','alca','amoi','audi','avan',
		'benq','bird','blac','blaz','brew',
		'cell','cldc','cmd-',
		'dang','doco',
		'eric',
		'hipt','htc-',
		'inno','ipaq',
		'java','jigs',
		'kddi','keji',
		'leno','lg-b','lg-c','lg-d','lg-g','lg-k','lg-l','lg-t','lg/u','lge-',
		'maui','maxo','midp','mits','mmef','mobi','mot-','moto','mwbp',
		'nec-','newt','noki',
		'oper',
		'palm','pana','pant','phil','play','port','prox',
		'qwap',
		'sage','sams','sany','sch-','sec-','send','seri','sgh-','shar','sie-','siem','smal','smar','sony','sph-','symb',
		't-mo','teli','tim-','tosh','tsm-',
		'upg1','upsi',
		'vk-v','voda',
		'w3c ','wap-','wapa','wapi','wapp','wapr','webc','winw','winw',
		'xda','xda-');
	if(in_array($mobile_user_agent,$user_agent_array)) {
		$mobile_browser = true;
	}
	
	return $mobile_browser;
 }
 
// Check for existing cookies
function has_cookie() {
  return (
    isset($_COOKIE[DESKTOP_COOKIE])
    && $_COOKIE[DESKTOP_COOKIE] == "true"
  );
}

// Set a cookie
function _set_cookie() {	
	setcookie(DESKTOP_COOKIE, "true", time()+60*30, '/'); //Set cookie for 30 minutes
}

function breakout_set() {
  return (
    isset($_GET[BREAK_OUT])
  );
}
 
// Link back to mobile site
function mobile_link($mobile_url, $link_text) {
	$cookie = DESKTOP_COOKIE . "=false;path=/;expires=" . (time() - 3600);
	return "<div id='" . LINK_DIV_ID . "'><a onclick = 'document.cookie = \"$cookie\";' href = '$mobile_url'>$link_text</a></div>";	
	
}

mobile_redirect(MOBILE_URL);

$displaymobilelink = mobile_detect();

if ($displaymobilelink)  {
	$mobilelink = mobile_link(MOBILE_URL, MOBILE_LINK_TEXT);
	$output->AssignVariable('mobile_link_back',$mobilelink);
} 

// ------------------ END MOBILE SITE REDIRECT ---------------------




if (!is_array($rs->fields)) $rs->fields = array();
	$timeout = 5;
	$old = ini_set('default_socket_timeout', $timeout);
	$open = @fopen('http://quotes.blendermedia.com/display_quote.php?symbol=UEC', "r");
	if ($open !== FALSE) {
	ini_set('default_socket_timeout', $old);
		stream_set_timeout($open, $timeout);
		stream_set_blocking($open, 0); 
		$read = fread($open, 2000);
		fclose($open);
	
		$read = str_replace("\"", "", $read);
		list($rs->fields['Symbol'],$rs->fields['Last'],$rs->fields['LastTradeDate'],$rs->fields['LastTradeTime'],$rs->fields['StockChange'],$rs->fields['Open'],$rs->fields['Dayhi'],$rs->fields['Daylo'],$rs->fields['Volume']) = explode(",", $read);
		$rs->fields['LastTrade'] = $rs->fields['LastTradeDate'].' - '.$rs->fields['LastTradeTime'];
	
		foreach ($rs->fields as $key => $val) {
			$output->AssignVariable($key,$val);
		}
	}

$sql_query = "SELECT * FROM uec_uranium_price WHERE id = '1'"; 
$rs = $GLOBALS['ddb']->Execute($sql_query);

if (!$rs->EOF) {
$output->AssignVariable('price',$rs->fields['price']);
$output->AssignVariable('change',$rs->fields['change']);
$output->AssignVariable('date',$rs->fields['date']);
$output->AssignVariable('priceTT',$rs->fields['priceTT']);
}

?>